6.0.0-git
2019-08-24

[#5501] Allow to pick calendars for update notifications
Summary Allow to pick calendars for update notifications
Queue Kronolith
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester amoser (at) amoser (dot) com
Created 2007-06-26 (4442 days ago)
Due
Updated 2011-12-12 (2812 days ago)
Assigned 2007-09-20 (4356 days ago)
Resolved
Milestone
Patch No

History
2011-12-12 16:55:30 Jan Schneider Taken from Horde DevelopersHorde Developers
Taken from Jan Schneider
Summary ⇒ Allow to pick calendars for update notifications
 
2011-12-12 16:54:12 Jan Schneider Comment #9
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Reply to this comment
With the behavior and documentation matching again, this is now an RFE.
2011-12-12 16:53:24 Git Commit Comment #8 Reply to this comment
Changes have been made in Git for this ticket:

Tweak wording (Bug #5501).

  1 files changed, 1 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/e7eb40df0b0913660999eba817f2e822d4e062e0
2010-09-24 22:25:51 Jan Schneider Version ⇒ Git master
 
2007-09-20 19:13:35 Jan Schneider Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
 
2007-09-05 23:03:54 Chuck Hagenbuch Comment #7 Reply to this comment
Not sure why this is an enhancement? I know it's not a showstopper and 
it's a pain in the ass, but if this is going to be postponed 
indefinitely then your idea of saying "only calendars I have explicit 
permissions for" at least makes it technically correct. But this seems 
like a bug to me, and a problem.
2007-09-05 14:04:38 Jan Schneider Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
 
2007-07-10 16:47:00 Chuck Hagenbuch Comment #6 Reply to this comment
That would make the behavior correct according to our docs, but it 
doesn't solve the real problem; it wouldn't let you get notifications 
on any public calendars. I think we need to let users check off the 
exact calendars they want notifications for, and to store those 
somewhere (backend independent, hopefully).
2007-07-10 07:12:59 Jan Schneider Comment #5
State ⇒ Feedback
Reply to this comment
We could get a list of users from the Auth backend and notify them 
all, but these sounds like getting a spam trap. Maybe we should change 
the prefs description to something like "Every calendar I explicitly 
have read permissions for".
2007-07-09 18:38:45 Chuck Hagenbuch Comment #4
Assigned to Jan Schneider
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
Ah, I see. We're looking at the list of users/groups for the share to 
do these notifications (to see who might want them). So we need 
another way of doing this. Ideas?
2007-06-27 07:42:12 amoser (at) amoser (dot) com Comment #3 Reply to this comment
I'm sorry, I don't quite follow. Can you restate what exactly is
wrong, how you reproduce it, with a few more words?
My wife has set kronolith to  be notified on every calendar change she 
has read access. This includes my own calendar, because I have seet my 
calendar with read access to *every* registered user.



She does not get any notification.



I add my wife explicitly (with her username) to  access my calendar 
with read access.



Now she gets the change notifications by email.



But in my opinion setting the read right to "every registered user" 
should already include the right to get email notifications.


2007-06-27 04:04:04 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
I'm sorry, I don't quite follow. Can you restate what exactly is 
wrong, how you reproduce it, with a few more words?
2007-06-26 16:43:14 amoser (at) amoser (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Role "registered user": Notification of calendar changes fails
Queue ⇒ Kronolith
Reply to this comment
The role "Registered User" doesn't work (no notification email is sent)



Registered users need to be granted explicitly by their user name if 
they subscribe to calendar changes ("all calendars I am allowed to 
view"). The explicit "User" role is working.



I didn't check if the "User Group" role is working.


Saved Queries